#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libamarok-sqlcollection.so )
( cd usr/lib64 ; ln -sf libamarok-sqlcollection.so.1 libamarok-sqlcollection.so )
( cd usr/lib64 ; rm -rf libamarok-sqlcollection.so.1 )
( cd usr/lib64 ; ln -sf libamarok-sqlcollection.so.1.0.0 libamarok-sqlcollection.so.1 )
( cd usr/lib64 ; rm -rf libamarok-transcoding.so )
( cd usr/lib64 ; ln -sf libamarok-transcoding.so.1 libamarok-transcoding.so )
( cd usr/lib64 ; rm -rf libamarok-transcoding.so.1 )
( cd usr/lib64 ; ln -sf libamarok-transcoding.so.1.0.0 libamarok-transcoding.so.1 )
( cd usr/lib64 ; rm -rf libamarokcore.so )
( cd usr/lib64 ; ln -sf libamarokcore.so.1 libamarokcore.so )
( cd usr/lib64 ; rm -rf libamarokcore.so.1 )
( cd usr/lib64 ; ln -sf libamarokcore.so.1.0.0 libamarokcore.so.1 )
( cd usr/lib64 ; rm -rf libamaroklib.so )
( cd usr/lib64 ; ln -sf libamaroklib.so.1 libamaroklib.so )
( cd usr/lib64 ; rm -rf libamaroklib.so.1 )
( cd usr/lib64 ; ln -sf libamaroklib.so.1.0.0 libamaroklib.so.1 )
( cd usr/lib64 ; rm -rf libamarokshared.so )
( cd usr/lib64 ; ln -sf libamarokshared.so.1 libamarokshared.so )
( cd usr/lib64 ; rm -rf libamarokshared.so.1 )
( cd usr/lib64 ; ln -sf libamarokshared.so.1.0.0 libamarokshared.so.1 )
